Skype na LMDE 64bit

Na Mintu sam nov i uporno pokusavam da instaliram Skype ali mi uporno javlja gresku da nesto nije u reu sa i386 paketom problem.Paket je
skype-ubuntu_4.0.0.7-1_i386.deb i skype-debian_4.0.0.7-1_i386.deb

Probao sam i iz terminala i preko paket menadzera ali bez uspeha.Inace Skype mi radi i na Fedori 17 i na Open SuSe 12.2 i na Slackwareu 13.7.Koristim ga intenzivno posto mi je sin u USA.Help!

Probao sam i 4.1.0.20-1_i386.deb ali ista pesma.

Koja je varzija MInta ? 32bit ili 64bit izlaz komande

uname -a

Ako je 64bit, pogledaj

http://blog.linuxmint.com/?p=2211

64 bitna

Onda prvo ovo

sudo dpkg --add-architecture i386
apt update

pa onda skype.

Idi ovde: http://www.skype.com/intl/en/get-skype/on-your-computer/linux/ , pa biraj verziju za Ubuntu 12 multiarchive. Prethodno, deinstaliraj staru verziju.

Prvo vidi ovo

Hardware requirements

1 GHz processor or faster.
256 MB RAM.
100 MB free disk space on your hard drive.
Microphone and speakers or headset.
Internet connection – broadband is best (GPRS is not supported for voice calls).
Video card driver with Xv support.

Software requirements
Qt 4.7 • D-Bus 1.0.0
libasound2 1.0.18
PulseAudio 1.0 (optional)
BlueZ 4.0.0 (optional)

Jer sigurno imaš ovo?

Evo ti paket pa probaj sa njim. Piše i386, ali radi i na i386 i na x64 Meni radi na Ubuntu 12.04 64-bit.
http://download.skyp…0.20-1_i386.deb

[email protected] ~ $ sudo dpkg --add-architecture i386
dpkg: error: unknown option --add

Type dpkg --help for help about installing and deinstalling packages [*];
Use dselect' or aptitude’ for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through less' or more’ !
Ne uspevam nikako da dodam arhitekturu i386.Izbaci mi gore navedeno.

ZDroid nece ni onaj skype s onog linka.

Skype mi radi i na Slacku i na fedori i na SuSe-u,tako da sto se hardvera tice nije u pitanju to,posto je ovo novi DEEL laptop.

Ovde se nesto cudno desava, ni meni to vise ne radi, to je resenje sa Mint bloga, neko je nesto isekao, Debian, Ubuntu, Mint, negde je kratki spoj?
Po helpu dpkg --help komada je validna, a kad se kuca javlja gresku da nije ok, opet prekrsaj za penal, programi zavise od i386 biblioteka
i ne mogu se instalirati bez njih. Da lli pored ovog treba dodati jos neki repozitorijum?

Ne znam, nemam 64bit sistem pa da probam, izvinjavam se što napamet predlažem nešto. Uskočio sam sa idejom, jer vidim lepo su napisali na Blogu šta i kako treba da se odradi.

Ma to je bilo za RC verziju :dash1:

[font=Arial][size=1]This issue will be fixed manually in the stable release of Linux Mint 14.[/size][/font][font=Arial][size=1]
In other words, if you’re running the 64-bit RC of Linux Mint 14, please apply the workaround. If you’re planning on waiting for the stable release you don’t need to worry about this issue.[/size][/font]

@drinx

Nema sta da se izvinjavas, mislim da sam i ja to okacio i na forum pod korisnim savetima, radilo je ja probao sam, sad ne radi, zato se i pitam ko je u lancu Debian, Ubuntu, Mint zeznuo stvar. Ako ce vec konacno da podele 32 i 64 bita onda to mora totalno da se razdvoji i onda nema vise 64 bitni program a vuce zavisnosti 32 bitne.
Evo ja sam isto to kacio direktno sa bloga
http://www.mint-srbija.com/forum/index.php?/topic/1213-32-bit-support-in-linux-mint-14-rc-64-bit/#entry18526

Dragane izvini jedno konkretno pitanje : Imaš li ti instaliran skype na Mint 14 64bit ?

Imam neki 4.1.0.20 ali ne pise da li je 32 ili 64, gde da mu gledam pod About Skype ne pise.

Gledao u synaptic, imam fajl skype i skype-bin:i386

Odakle sam dovukao pojma nemam, u diru Downloads nemam ga.

[font=arial]

[/font]

[font=arial]Imam ;)[/font]

[font=arial]Izvinjavam se što upadam ovako, kod mene sve normalno funkcioniše, što uključuje i [/font][font=arial]dpkg --add-architecture i386[/font]

[ATTACH]898.IPB[/ATTACH]

[ATTACH]899.IPB[/ATTACH]

[ATTACH]900.IPB[/ATTACH]

Da dodam…skype i nije hteo drugačije da mi instalira, tek nakon dodavanja 32-bitne arh

Što onda @zvrk ima problema sa tim ?

@zvrk
Očigledno treba detaljnije opisati problem,i ubaciti greške u post ili neki screenshot.

Iz 32-bitnog dela repoa se instalira…

Ne vidim da li zvrk ima Mint 13 ili 14?
Odoh u 13-cu da probam tamo, pa se javljam za 5 minuta

[email protected] ~ $ sudo dpkg --add-architecture i386 dpkg: error: unknown option --add

Covek je dao izlaz iz terminala, ne znam u cemu je kvaka sad ce da vidimo kad @Dragan pogleda 13
Ja sam presao na KDE od verzija 13 imam samo Mate
Ovo mi je sad KDE MIntov 64 bita a unutra je taj skype, nema vise pojma sta se desava.
@Dragan kaze

Iz 32-bitnog dela repoa se instalira…

Tako da ne kapiram kako moze biti 64 bitni a da ide iz 32 bitnog repoa, znaci 32 bitni skype. Ovo postalo konstanto lupanje glave :dash1:

U nekom trenutku i meni je to javljao, dal j ebio Cinnamon ili sta vec nemam pojma, dobro se secam da me je zezao a pre toga je prolazilo, sad u KDE prolazi ladno

Da tako je, skype postoji samo u 32bit verziji. Nego guglam i naletim na ovo

http://www.noobslab.com/2012/11/install-latest-skype-41-in-ubuntu.html

tamo kažu da za 64bit sistem prvo ide

sudo apt-get install libqt4-webkit

možda je tu ključ problema/rešenja.

@dragan99
Proveri da li imaš instaliranu tu biblioteku.

Evo me :slight_smile:

Imenjače, 32 bitni deo repoa znači da dovlači pakete i za 32 bita…tako su valjda rešili u 13-ci…kode mene je Maya XFCE, instalirao sam skype uspešno…

Mislim da je zato i isključena opcija (nepotrebnog) dodavanja arhitekture za 32 bita…slike sve govore

[ATTACH]901.IPB[/ATTACH]

[ATTACH]902.IPB[/ATTACH]

@drinx

Sad sam presao u Cinnamon 14, nema taj fajl a ima skype koji radi.

@Dragan

Meni sad sve radi u 14 Cinnamonu ladno guta tu komadu, u KDE Mint 14 isto, u RC je gutao pa u finalnom nije hteo.

Onda ispada da covek ima 13-ticu, idem sad u Mate da vidim da li ce da primi tu komadu

[CODE][email protected] ~ $ sudo dpkg --add-architecture i386
[sudo] password for dragan:
dpkg: error: непозната опција --add-architecture

Type dpkg --help for help about installing and deinstalling packages [*];
Use dselect' or aptitude’ for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

[email protected] ~ $ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch
Distributor ID: LinuxMint
Description: Linux Mint 13 Maya
Release: 13
Codename: maya
[email protected] ~ $ [/CODE]

Evo ga buni se. Ne bi ovo ni jurio toliko nego sam rodio mecku instalirajuci AMD vlasnicke drajvere koji traze i32-lib. Pvo su bili 12.6 drajveri, i 32-bitni fajlovi su se dovlacili ali sam morao rucno da stavljam drajvere za graficku, jedini koji mi je normalno stavio drajvere bio je XFCE Voyager. Posle sam vec prelazio na 12.8 i kako sam stavljao Mint 13 (razne verzije) ili 12.04 tako sam rodio mecku da dobijem i32- drajvere. Sad vlasnicki drajveri dolaze u synapticu i vise ne moram da jurim te libove. U 6 meseci sve se pretumba naglavacke, pomislio bi da sam izgubio razum pogotovo ako to jos neko nije radio i nema da potvrdi.

U naslovu teme lepo piše Mint 14 64bit, a sve ukazuje da se radi o 13-ci…no, to @zvrk treba da potvrdi/opovrgne, ja nemam ideju šta ne valja kod njega…